Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/6645/?format=api
{ "ob_id": 6645, "uuid": "a21866840b0413da568d0d0225698f77", "title": "Met Office Northern Hemisphere Gridded 1000-500hPa Geopotential Height Thickness Daily and Monthly Series", "abstract": "This dataset holds Northern Hemisphere (north of 15 deg. N) daily and monthly series of 1000-500hPa Geopotential Height Thickness Daily and Monthly Series. The data is gridded on a 5x10 degree grid. The data is available for the period 1945 to 2005. \r\n\r\nThe geopotential thickness between pressure levels — difference of the 1000 hPa and 500 hPa geopotential heights for example — is proportional to mean virtual temperature in that layer.\r\n\r\nThe data is supplied by the Met Office, Hadley Centre.", "keywords": "Met Office, Hadley,geopotential height, thickness", "publicationState": "published", "dataPublishedTime": "2007-02-03T04:53:11", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/6646/?format=api", "dataPath": "/badc/ukmo-height/data/NH_1000-500hPa_thickness", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 120547996, "numberOfFiles": 149, "fileFormat": "ASCII" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/1949/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/156/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/25976/?format=api" ], "dataLineage": "Data were prepared by the Met Office's Hadley Centre for the period 1945 to 2005, before a copy was obtained for archiving at the BADC.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/4352/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/8750/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/13164/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/6641/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/28621/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/28617/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/28615/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/28618/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/28619/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/28620/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/28622/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/28616/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/53190/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/55469/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/169578/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": null, "procedureComputation": "https://api.catalogue.ceda.ac.uk/api/v2/computations/6647/?format=api", "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2638/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "restricted", "accessRoles": "height", "label": "restricted: height group", "licenceURL": "https://artefacts.ceda.ac.uk/licences/specific_licences/ukmo_agreement.pdf", "licenceClassifications": "academic" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }